# $Revision: 1.7 $, $Date: 2010/08/19 17:50:12 $
%include	/usr/lib/rpm/macros.php
%define		_class		System
%define		_subclass	SharedMemory
%define		_status		beta
%define		_pearname	System_SharedMemory
%define		subver	RC1
%define		rel		1
Summary:	%{_pearname} - common OO-style shared memory API
Summary(pl.UTF-8):	%{_pearname} - wspólny, obiektowy interfejs do API pamięci współdzielonej
Name:		php-pear-%{_pearname}
Version:	0.9.0
Release:	3.%{subver}.%{rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	0969d02662f4a7a1b67e7819bfc3f852
URL:		http://pear.php.net/package/System_SharedMemory/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OO-style shared memory API for several shared memory engines.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Zorientowane obiektowo API pamięci współdzielonej dla różnych
silników.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/docs/README.TXT
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/System/SharedMemory/
%{php_pear_dir}/System/SharedMemory.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-System_SharedMemory.spec,v $
Revision 1.7  2010/08/19 17:50:12  glen
- use subver macro

Revision 1.6  2008/01/31 12:16:11  glen
- rel 2

Revision 1.5  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.3  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.1  2006/01/12 10:34:08  adamg
- new
